Botan 1.10.17

Public Member Functions | List of all members
Botan::X509_CRL::X509_CRL_Error Struct Reference

`#include <x509_crl.h>`

Inheritance diagram for Botan::X509_CRL::X509_CRL_Error:

## Public Member Functions
| X509_CRL_Error (const std::string &error)

## Detailed Description

This class represents CRL related errors.

Definition at line 26 of file x509_crl.h.

## Constructor & Destructor Documentation

## ◆ X509_CRL_Error()

Botan::X509_CRL::X509_CRL_Error::X509_CRL_Error | ( | const std::string & | error | ) |
| inline

Definition at line 28 of file x509_crl.h.

28 :
29 Exception("X509_CRL: " + error) {}
Botan::Exception
std::runtime_error Exception
Definition: exceptn.h:19

The documentation for this struct was generated from the following file:

- src/cert/x509crl/x509_crl.h